commit: b180adf97a306d5764848efef608b11b8eb48df7
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 3 16:42:57 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 3 17:27:33 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b180adf9
dev-python/bottle: add 0.12.23
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/bottle/Manifest | 1 +
dev-python/bottle/bottle-0.12.23.ebuild | 46 +++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/bottle/Manifest b/dev-python/bottle/Manifest
index ab37c16b4288..4b1105c6afb0 100644
--- a/dev-python/bottle/Manifest
+++ b/dev-python/bottle/Manifest
@@ -1 +1,2 @@
DIST bottle-0.12.21.tar.gz 74229 BLAKE2B
88674389d2c087a7416443d031995ee923a98b790eb85d81b625f11b2fb0baee35d90a3ee2dba5b9d4744a343a34396a50edef0f85a2d6f4f0f4da95bae31b5b
SHA512
3d621f6684f439a4a5718ad25e8b45eb0d1100cd565ec5b797adf67141e01d835cde671e687f5515cb6eab69bb465e9c7d004131634609266c2e1b69b0adbf43
+DIST bottle-0.12.23.tar.gz 73965 BLAKE2B
ccd3dc3aad5c4c8b6899f55f03550cf9178e51788c27ece9808e1cff92693cc09dab145be16f814d29dae02ce53374a0470b2c4b032bc66a0ec2b1a11ec5ca44
SHA512
0550aa95680dd79d9c63c5de854845377183c86015893d9ee4e67126eca201582ef79d40ff0d1cbe79fe8a250118a775c63102475e337e18cfc1a65afe18f62a
diff --git a/dev-python/bottle/bottle-0.12.23.ebuild
b/dev-python/bottle/bottle-0.12.23.ebuild
new file mode 100644
index 000000000000..87a0756c7931
--- /dev/null
+++ b/dev-python/bottle/bottle-0.12.23.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A fast and simple micro-framework for small web-applications"
+HOMEPAGE="
+ https://bottlepy.org/
+ https://github.com/bottlepy/bottle/
+ https://pypi.org/project/bottle/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests unittest
+
+BDEPEND="
+ test? (
+ dev-python/mako[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ sed -e '/scripts/d' -i setup.py || die
+
+ # Remove test file requiring connection to network
+ rm test/test_server.py || die
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ optfeature "Templating support" dev-python/mako
+ elog "Due to problems with bottle.py being in /usr/bin (see bug
#474874)"
+ elog "we do as most other distros and do not install the script
anymore."
+ elog "If you do want/have to call it directly rather than through your
app,"
+ elog "please use the following instead:"
+ elog ' `python -m bottle`'
+}